Index: server/other/openssh/openssh-config.xml
===================================================================
--- server/other/openssh/openssh-config.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ server/other/openssh/openssh-config.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
@@ -0,0 +1,79 @@
+<sect2>
+<title>Configuring OpenSSH</title>
+
+<sect3><title>Config files</title>
+
+<para><userinput>/etc/ssh/ssh_config, /etc/ssh/sshd_config </userinput></para>
+<para>There are no required changes in either of these files.  However
+you may wish to view them to make changes for appropriate security to
+your system. Configuration information can be found in the man pages for sshd, ssh and ssh-agent</para>
+</sect3>
+
+<sect3><title>sshd init.d script</title>
+
+<para>Note that you only want to start the sshd server if you want to be
+able to ssh <emphasis>into</emphasis> your machine.  The ssh client
+doesn't need this script to be used.  Having said that, if you want to
+run the ssh daemon, the sshd init.d script can be created using the following 
+commands:</para>
+
+<para><screen><userinput>cat &gt; /etc/rc.d/init.d/sshd &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin $rc_base/init.d/sshd
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+        start)
+	        echo "Starting SSH Server..."
+	        loadproc sshd
+	        ;;
+
+	stop)
+	        echo "Stopping SSH Server..."
+	        killproc sshd
+	        ;;
+
+	reload)
+	        echo "Reloading SSH Server..."
+	        reloadproc sshd
+	        ;;
+	     
+	restart)
+	        $0 stop
+	        sleep 1
+	        $0 start
+	        ;;
+
+	status)
+	        statusproc sshd
+	        ;;
+
+	*)
+	        echo "Usage: $0 {start|stop|reload|restart|status}"
+	        exit 1
+	        ;;
+esac
+
+# End $rc_base/init.d/sshd
+<userinput>EOF
+chmod 755 /etc/rc.d/init.d/sshd</userinput></screen></para>
+
+<para>Create the symbolic links to this file in the relevant rc.d directories with the following commands:
+<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/sshd ../rc0.d/K30sshd &amp;&amp;
+ln -sf ../init.d/sshd ../rc1.d/K30sshd &amp;&amp;
+ln -sf ../init.d/sshd ../rc2.d/K30sshd &amp;&amp;
+ln -sf ../init.d/sshd ../rc3.d/S30sshd &amp;&amp;
+ln -sf ../init.d/sshd ../rc4.d/S30sshd &amp;&amp;
+ln -sf ../init.d/sshd ../rc5.d/S30sshd &amp;&amp;
+ln -sf ../init.d/sshd ../rc6.d/K30sshd</userinput></screen></para>
+
+</sect3>
+
+</sect2>
+
Index: server/other/openssh/openssh-desc.xml
===================================================================
--- server/other/openssh/openssh-desc.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ server/other/openssh/openssh-desc.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
@@ -0,0 +1,43 @@
+<sect2>
+<title>Contents</title>
+
+<para>The OpenSSH package contains <userinput>ssh</userinput>,
+<userinput>sshd</userinput>, <userinput>ssh-agent</userinput>,
+<userinput>ssh-add</userinput>, <userinput>sftp</userinput>,
+<userinput>scp</userinput>, <userinput>ssh-keygen</userinput>,
+<userinput>sftp-server</userinput> and
+<userinput>ssh-keyscan</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>ssh</title>
+<para>The basic rlogin/rsh-like client program.</para></sect3>
+
+<sect3><title>sshd</title>
+<para>The daemon that permits you to login.</para></sect3>
+
+<sect3><title>ssh-agent</title>
+<para>An authentication agent that can store private keys.</para></sect3>
+
+<sect3><title>ssh-add</title>
+<para>Tool which adds keys to the ssh-agent.</para></sect3>
+
+<sect3><title>sftp</title>
+<para>FTP-like program that works over SSH1 and SSH2 protocol.</para></sect3>
+
+<sect3><title>scp</title>
+<para>File copy program that acts like rcp.</para></sect3>
+
+<sect3><title>ssh-keygen</title>
+<para>Key generation tool.</para></sect3>
+
+<sect3><title>sftp-server</title>
+<para>SFTP server subsystem.</para></sect3>
+
+<sect3><title>ssh-keyscan</title>
+<para>Utility for gathering public host keys from a number of hosts.</para></sect3>
+
+</sect2>
+
Index: server/other/openssh/openssh-exp.xml
===================================================================
--- server/other/openssh/openssh-exp.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ server/other/openssh/openssh-exp.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
@@ -0,0 +1,22 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--sysconfigdir=/etc/ssh :</userinput> This prevents the 
+configuration files from going to /usr/etc.</para>
+
+<para><userinput>--with-md5-passwords :</userinput> This is required
+if you made the changes recommended by the shadowpasswd_plus lfs hint on
+your ssh server when you installed the Shadow Password Suite or if you
+access a ssh server that authenticates by user passwords encrypted with
+md5. </para>
+
+<para><userinput>--libexecdir=/usr/sbin :</userinput> OpenSSH puts
+programs called by programs in /usr/libexec.  sftp-server is a sshd
+utility and ssh-askpass is a ssh-add utility that is installed as a
+link to X11-ssh-askpass.  Both of these should go in <filename
+class="directory">/usr/sbin</filename> not <filename
+class="directory">/usr/libexec</filename>.</para>
+
+
+</sect2>
+
Index: server/other/openssh/openssh-inst.xml
===================================================================
--- server/other/openssh/openssh-inst.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ server/other/openssh/openssh-inst.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
@@ -0,0 +1,25 @@
+<sect2>
+<title>Installation of OpenSSH</title>
+
+<para>OpenSSH runs as two processes when connecting to other
+computers. The first process is a priviledged process and controls the
+issuance of privileges as necessary. The second process communicates
+with the network. Additional installation steps are necessary to set up
+the proper environment which are preformed by the following
+commands:</para>
+
+<para><screen><userinput>mkdir /var/empty &amp;&amp;
+chown root:sys /var/empty &amp;&amp;
+chmod 755 /var/empty &amp;&amp;
+groupadd sshd &amp;&amp;
+useradd -g sshd sshd</userinput></screen></para>
+
+<para>Install OpenSSH by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr --sysconfdir=/etc/ssh \
+&nbsp;&nbsp;&nbsp;--libexecdir=/usr/sbin --with-md5-passwords &amp;&amp;
+make &amp;&amp;
+make install </userinput></screen></para>
+
+</sect2>
+
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ server/other/openssh/openssh-intro.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Introduction to OpenSSH</title>
+
+<screen>Download location:              <ulink url="&openssh-download;"/>
+Version used:                   &openssh-version;
+Package size:                   &openssh-size;
+Estimated Disk space required:  &openssh-buildsize;</screen>
+
+<para>The OpenSSH package contains ssh clients and the sshd daemon.  This is 
+useful for encrypting all traffic over a network.</para>
+
+<screen>OpenSSH depends on: 
+<xref linkend="zlib"/> and <xref linkend="openssl"/>.
+OpenSSH will utilize: 
+X11-ssh-askpass and PAM if they are installed prior to OpenSSH.</screen>
+
+</sect2>
Index: server/other/openssh/openssh.ent
===================================================================
--- server/other/openssh/openssh.ent	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ server/other/openssh/openssh.ent	(revision f45b195302d36939467202524156f38e0369b4f2)
@@ -0,0 +1,10 @@
+<!ENTITY openssh SYSTEM "../openssh.xml">
+<!ENTITY openssh-intro SYSTEM "openssh-intro.xml">
+<!ENTITY openssh-inst SYSTEM "openssh-inst.xml">
+<!ENTITY openssh-exp SYSTEM "openssh-exp.xml">
+<!ENTITY openssh-desc SYSTEM "openssh-desc.xml">
+<!ENTITY openssh-config SYSTEM "openssh-config.xml">
+<!ENTITY openssh-buildsize "7.9 MB">
+<!ENTITY openssh-version "3.4p1">
+<!ENTITY openssh-download "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-3.4p1.tar.gz">
+<!ENTITY openssh-size "816 KB">
